#ifndef DefaultHelpText_h
#define DefaultHelpText_h

// $Id: DefaultHelpText.h,v 1.7 2011/10/31 11:15:58 hpereira Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

/*!
  \file    DefaultHelpText.h
  \brief   default help text
  \author  Hugo Pereira
  \version $Revision: 1.7 $
  \date    $Date: 2011/10/31 11:15:58 $
*/

namespace BASE
{
  //! default help text
  static const QString helpText[] =
  {

    //_________________________________________________________
    "Contact",
    "<h2>Contact</h2>\n"
    "<p>Latest software versions can be downloaded at:</p>"
    "<p><a href=\"http://www.phenix.bnl.gov/WWW/publish/hpereira/software/index.php?page=introduction\">http://www.phenix.bnl.gov/WWW/publish/hpereira/software/index.php?page=introduction</a></p>"
    "<p>For suggestions and bug reports, please contact the author directly at:</p>"
    "<p><a href=\"mailto:hugo.pereira@free.fr\">hugo.pereira@free.fr</a></p>",

    //_________________________________________________________
    "Notes",
    "<h2>Notes</h2>\n"
    "<p>This section is left empty for the user to add his own comments on QEdit.",  0

  };
};

#endif
